# Class MessageBatchResultType | AnthropicClient
Represents the types of message batch results.

# Class MessageBatchResultType

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the types of message batch results.

    public static class MessageBatchResultType

Inheritance
  object
  MessageBatchResultType

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Canceled

Represents a canceled message batch result.

    public const string Canceled = "canceled"

#### Field Value

string

### Errored

Represents an errored message batch result.

    public const string Errored = "errored"

#### Field Value

string

### Expired

Represents an expired message batch result.

    public const string Expired = "expired"

#### Field Value

string

### Succeeded

Represents a succeeded message batch result.

    public const string Succeeded = "succeeded"

#### Field Value

string